//- instant-article-iframe.pug - loaded from facebook instant articles iframes

include ../mixins

doctype html
html(lang=item.lang)
  head
    title= `${config.siteName}: ${item.title}`
    meta(property="og:title", content=`${config.siteName}: ${item.title}`)
    meta(property="og:type", content="website")
    meta(property="og:image", content=item.image)
    meta(property="og:url", content=`${config.url}/item/${item.itemId}.html`)
    meta(property="og:site_name", content=config.siteName)
    meta(name="description", content=item.description.text)
    meta(property="og:description", content=item.description.text)
    link(rel="stylesheet", type="text/css", href=config.jugaIo.css)
    link(
      async=true,
      href="//fonts.googleapis.com/css?family=Rubik:300,400,500,700,900",
      rel="stylesheet"
    )
    link(rel="stylesheet", type="text/css", href=`/css/style.css?v=${config.version}`)
    if (config.googleAnalyticsId)
      script(async=true, src=`https://www.googletagmanager.com/gtag/js?id=${config.googleAnalyticsId}`)
      script.
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', '#{config.googleAnalyticsId}');
    else
      script(type="text/javascript").
        function gtag(){ console.log(arguments); }
    script(type="text/javascript", src="/app.js")
  body.fb-ia-iframe
    .juga-io(
      data-juga-io-item=item.itemId,
      data-juga-io-user=config.jugaIo.userId,
      data-juga-io-feed=item.feedId,
    )
      +loading()
    script(type="text/javascript", src="/components/jquery/jquery.min.js")
    script(type="text/javascript", src="/components/bootstrap/javascripts/bootstrap.min.js")
    script(type="text/javascript", src=`//s7.addthis.com/js/300/addthis_widget.js#pubid=${config.addthisProfileId}`)
    script(type="text/javascript").
      (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
      (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
      m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
      })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');
      ga('create', '#{config.googleAnalyticsId}', 'auto');
      // ga('send', 'pageview');
    script(type="text/javascript").
      var h = 0;
      var item = document.querySelector(".juga-io");
      function onResize(){
        //var newH = document.body.scrollHeight;
        var newH = Math.ceil(item.getBoundingClientRect().height);
        if (true || newH > h && window.parent){
          h = newH;
          window.parent.postMessage(JSON.stringify({ height:newH }), "*");
        }
      }
      $(window).resize(onResize);
      $(window).ready(function(){
        onResize();
        setInterval(onResize, 500);
      });
      App.init();
    script(type="text/javascript", src=config.jugaIo.jsDepsUrl + "?v=" + config.version)
    script(type="text/javascript", src=config.jugaIo.jsUrl + "?v=" + config.version)
